# Class PostFaintContactDamageAbAttr

#### Hierarchy (view full)

- PostFaintAbAttr
  - PostFaintContactDamageAbAttr

- Defined in src/data/ability.ts:3068

#####
Index

### Constructors

constructor

### Properties

damageRatio
showAbility

### Methods

addCondition
apply
applyPostFaint
getCondition
getTriggerMessage

## Constructors

### constructor

- new PostFaintContactDamageAbAttr(damageRatio): PostFaintContactDamageAbAttr

- #### Parameters

  - damageRatio: number

  #### Returns PostFaintContactDamageAbAttr

  Overrides PostFaintAbAttr.constructor

  - Defined in src/data/ability.ts:3071

## Properties

### `Private` damageRatio

damageRatio: number

- Defined in src/data/ability.ts:3069

### showAbility

showAbility: boolean

Inherited from PostFaintAbAttr.showAbility

- Defined in src/data/ability.ts:126

## Methods

### addCondition

- addCondition(condition): AbAttr

- #### Parameters

  - condition: AbAttrCondition

  #### Returns AbAttr

  Inherited from PostFaintAbAttr.addCondition

  - Defined in src/data/ability.ts:145

### apply

- apply(pokemon, passive, cancelled, args): boolean | Promise<boolean>

- #### Parameters

  - pokemon: default
  - passive: boolean
  - cancelled: BooleanHolder
  - args: any[]

  #### Returns boolean | Promise<boolean>

  Inherited from PostFaintAbAttr.apply

  - Defined in src/data/ability.ts:133

### applyPostFaint

- applyPostFaint(pokemon, passive, attacker, move, hitResult, args): boolean

- #### Parameters

  - pokemon: default
  - passive: boolean
  - attacker: default
  - move: default
  - hitResult: HitResult
  - args: any[]

  #### Returns boolean

  Overrides PostFaintAbAttr.applyPostFaint

  - Defined in src/data/ability.ts:3077

### getCondition

- getCondition(): AbAttrCondition

- #### Returns AbAttrCondition

  Inherited from PostFaintAbAttr.getCondition

  - Defined in src/data/ability.ts:141

### getTriggerMessage

- getTriggerMessage(pokemon, abilityName, ...args): string

- #### Parameters

  - pokemon: default
  - abilityName: string
  - `Rest` ...args: any[]

  #### Returns string

  Overrides PostFaintAbAttr.getTriggerMessage

  - Defined in src/data/ability.ts:3092